%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           shcov
Version:        5
Release:        1%{?dist}
Summary:        A gcov and lcov coverage test tool for bourne shell / bash scripts

Group:          Applications/System
License:        GPLv2
URL:            http://code.google.com/p/shcov/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
shcov is a gcov-like code coverage tester for bourne shell / bash
scripts. It also has a lcov-like HTML output generator to present
coverage results.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}%{_defaultdocdir}/%{name}/*

%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_mandir}/man*/sh*.*
%{_bindir}/sh*
%{_datadir}/%{name}/
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Mon Sep 21 2009 Fabian Affolter <fabian@bernewireless.net> - 5-1
- Updated to new upstream version 5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 4-1
- Updated to new upstream version

* Thu Jan 15 2009 Fabian Affolter <fabian@bernewireless.net> - 3-2
- Fixed ownership of directory

* Sun Jan 11 2009 Fabian Affolter <fabian@bernewireless.net> - 3-1
- Initial package for Fedora

